//----------------------------------------------------------------------------
#ifndef TitanTesterH
#define TitanTesterH
//----------------------------------------------------------------------------
#include "FtUsbDev.h"
//----------------------------------------------------------------------------
#define FTDI_CTS                0x00000010
#define FTDI_DSR                0x00000020
#define FTDI_RI                 0x00000040
#define FTDI_DCD                0x00000080
//---------------------------------------------------------------------
#define FTDI_TITAN_COM1_OPEN    0x00000001
#define FTDI_TITAN_DEV1_OPEN    0x00000002
#define FTDI_TITAN_DEV2_OPEN    0x00000004
//---------------------------------------------------------------------
class TTitanTester
{
private:
    BOOL Running;
    DWORD WaitStatusTime;
    TFtUsbDev *Dev1;
    TFtUsbDev *Dev2;
    TFtUsbDev *Client;
    TFtUsbDev *Server;
    DWORD Status;
    HANDLE hCom;
    DWORD Flags;

public:
    __fastcall TTitanTester(int ChannelA);
    __fastcall ~TTitanTester(void);
    BOOL IsRunning(void);
    void Reset(void);
    void ActCTS(void);
    void DeactCTS(void);
    void ActDSR(void);
    void DeactDSR(void);
	void ActCD(void);
	void DeactCD(void);
	void ActRI(void);
	void DeactRI(void);
    DWORD ReadStatus(void);
    DWORD WaitStatus(void);
    BOOL Set300(void);
    BOOL Set115K(void);
    BOOL DoRxTest(unsigned char *WriteBuffer,
    			  unsigned char *ReadBuffer,
                  DWORD BufLen);
    BOOL DoTxTest(unsigned char *WriteBuffer,
    			  unsigned char *ReadBuffer,
                  DWORD BufLen);
};
//----------------------------------------------------------------------------
#endif



